"{ Package: 'jv:dart/compiler' }"

"{ NameSpace: Dart }"

PPCompositeParserTest subclass:#ParserTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Dart-Parser-Tests'
!


!ParserTests methodsFor:'accessing'!

parserClass
        ^ Dart::Parser

    "Modified: / 11-01-2013 / 13:14:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ParserTests methodsFor:'parsing'!

fail: aString rule: aSymbol 

    ^super fail: (Dart::Scanner for: aString) rule: aSymbol

    "Created: / 14-03-2012 / 22:51:00 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 11-01-2013 / 13:28:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

parse: aString rule: aSymbol 

    ^super parse: (Dart::Scanner for: aString) rule: aSymbol

    "Created: / 14-03-2012 / 22:51:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 11-01-2013 / 13:29:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ParserTests methodsFor:'tests - smoke'!

test_smoke_01
    self parse: 'import ''dart:html'';

void main() {

}'

    "Created: / 11-01-2013 / 13:15:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

test_smoke_01a
    self parse: 'void main() { }'

    "Created: / 11-01-2013 / 13:37:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

test_smoke_02
    self parse: 'import ''dart:html'';

void main() {
    var a = 1 + 1;

}'

    "Created: / 11-01-2013 / 13:30:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

test_smoke_03
    self parse: '

class Test {
  void foo() {
    print("Foo");
  }
}

void main() {1
  1 = 1 + 1;
  Test foo = new Test();
  foo.foo();  
}'

    "Created: / 11-01-2013 / 13:34:08 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ParserTests class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !
